/// <reference types="./order-by-node.d.ts" />
import { freeze } from '../util/object-utils.js';
/**
 * @internal
 */
export const OrderByNode = freeze({
    is(node) {
        return node.kind === 'OrderByNode';
    },
    create(item) {
        return freeze({
            kind: 'OrderByNode',
            items: freeze([item]),
        });
    },
    cloneWithItem(orderBy, item) {
        return freeze({
            ...orderBy,
            items: freeze([...orderBy.items, item]),
        });
    },
});
